org.apache.calcite.avatica.remote

## Class Service.RpcMetadataResponse

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Response
    - - org.apache.calcite.avatica.remote.Service.RpcMetadataResponse

Enclosing interface:
  Service

    public static class Service.RpcMetadataResponse
    extends Service.Response

Response that includes information about the server that handled an RPC.

This isn't really a "response", but we want to be able to be able to convert it to protobuf and back again, so ignore that there isn't an explicit endpoint for it.

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FieldDescriptor` `SERVER_ADDRESS_DESCRIPTOR`
`String` `serverAddress`
`private com.google.protobuf.ByteString` `serverAddressAsBytes`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
Constructor and Description
`RpcMetadataResponse()`
`RpcMetadataResponse(String serverAddress)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`(package private) Service.RpcMetadataResponse` `deserialize(com.google.protobuf.Message genericMsg)`
`boolean` `equals(Object o)`
`(package private) static Service.RpcMetadataResponse` `fromProto(Responses.RpcMetadata msg)`
`int` `hashCode()`
`(package private) Responses.RpcMetadata` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVER_ADDRESS_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor SERVER_ADDRESS_DESCRIPTOR

#### serverAddress

    public final String serverAddress

#### serverAddressAsBytes

    private final com.google.protobuf.ByteString serverAddressAsBytes

### Constructor Detail

#### RpcMetadataResponse

    public RpcMetadataResponse()

#### RpcMetadataResponse

    public RpcMetadataResponse(String serverAddress)

### Method Detail

#### deserialize

    Service.RpcMetadataResponse deserialize(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Response`

#### serialize

    Responses.RpcMetadata serialize()

Specified by:
  `serialize` in class `Service.Response`

#### fromProto

    static Service.RpcMetadataResponse fromProto(Responses.RpcMetadata msg)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`